\documentclass{article}
\usepackage{hyperref}
\title{Oracles in Blockchain Technologies}
\author{Alexander Nemish}
\begin{document}
\pagenumbering{gobble}
\maketitle
\section{Introduction}

From
\href{https://blog.apla.io/what-is-a-blockchain-oracle-2ccca433c026}{What is a blockchain oracle?}

Oracles are trusted data sources or entities that provide information or sign claims about the state of the world for smart contracts.
They are the link between real world events and the digital world of blockchain platforms.
They don’t make predictions about the future but report events from the past.

Smart contracts essentially request information from an oracle such as a random number or the results of a football game from the ‘real world’ and then store it on the blockchain.
It then continues executing the smart contract based on this new data.

Take for example Bloomberg or Reuters.
These would be considered data feeds instead of oracles in the blockchain world because interfacing with blockchains is required in addition to the ability to obtain data from multiple sources to, in effect achieve, consensus.
This is why oracles are much more that just data feeds or sources.

The most powerful oracle architecture offers a decentralized network of oracles that connects directly to smart contracts, and feeds the data back in a secure manner. With both software and hardware security measures, this ensures security and tamper-proof data that can be trusted

\section{Existing Oracles}

From \url{https://blog.aeternity.com/blockchain-oracles-657f134ffbc0}

Companies working on oracles include Augur, ChainLink and Oraclize
\begin{itemize}
	\item \href{https://www.augur.net/}{Augur}
	\item \href{https://chain.link/}{ChainLink}
	\item \href{http://www.oraclize.it}{Oraclize}
\end{itemize}

\subsection{Augur}

\begin{quote}
    A decentralized oracle and prediction market platform.
\end{quote}

The Augur team have programmed complex smart-contracts on the Ethereum network
that users can use to create markets and select oracles.
The consensus building process for finalizing an oracle response is quite interesting
and involves the staking of Augur’s native ERC20 token called REP (“reputation”).
However, there are challenges and most of them are related to scalability.

Every market that is created using Augur software utilizes a smart-contract on its own.
This means that if there are 1,000 markets, there will be 1,000 smart-contracts
running on the Ethereum network only for the Augur use-case.
This could create scalability issues.
We have already witnessed the impact that CryptoKitties and popular token sales
have had on Ethereum.

The various dispute resolution rounds (1) will require transactions of REP,
which are more costly than ETH transactions.
Keeping in mind that there are also limits to the duration of dispute rounds,
the execution of REP transactions might be expensive during peak on-chain load-times
and/or may fail to execute in time.

These issues relate to the fact that Augur introduces a consensus protocol
on top of another consensus protocol – that of the Ethereum network.
This makes the market consensus dependent on the blockchain consensus
and creates inefficiencies that may jeopardize the business model of Augur’s oracles
and prediction markets.

\subsubsection{Augur Summary}

Basically, it's Ethereum-specific smart contract, not suitable for Cardano.

\subsection{ChainLink}

\begin{quote}
A Decentralized Oracle Network
\end{quote}

From thier \href{https://link.smartcontract.com/whitepaper}{Whitepaper}

As an oracle service, ChainLink nodes return replies to data requests or queries made
by or on behalf of a user contract, which we refer to as requesting contracts and
denote by USER-SC. ChainLink’s on-chain interface to requesting contracts is itself
an on-chain contract that we denote by CHAINLINK-SC.

Behind CHAINLINK-SC, ChainLink has an on-chain component consisting of three
main contracts: a \emph{reputation contract}, an \emph{order-matching contract},
and an \emph{aggregating contract}.

The reputation contract keeps track of oracle-service-provider performance
metrics.

The order-matching smart contract takes a proposed service level agreement,
logs the SLA parameters, and collects bids from oracle providers. It then selects bids
using the reputation contract and finalizes the oracle SLA.

The aggregating contract collects the oracle providers’ responses
and calculates the final collective result of
the ChainLink query. It also feeds oracle provider metrics back into the reputation
contract.



\subsection{Oraclize}

\section{Summary}

Summary.

\end{document}